
package de.ivu.elect.presentation.wahlbeteiligung.table;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Named;

import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungAuswertung;
import de.ivu.elect.jee.presentation.dynamictable.AbstractColumnBuilder;
import de.ivu.elect.jee.presentation.dynamictable.ColumnEntry;

@Named(WahlbeteiligungAuswertungColumnBuilder.COMPONENT_NAME)
public class WahlbeteiligungAuswertungColumnBuilder extends AbstractColumnBuilder<WahlbeteiligungAuswertung> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "wahlbeteiligungAuswertungColumnBuilder";

  private AbstractWahlbeteiligungAuswertungColumn<WahlbeteiligungAuswertung> wahlbeteiligungDatumColumn;

  private AbstractWahlbeteiligungAuswertungColumn<WahlbeteiligungAuswertung> wahlbeteiligungAuswertungTypColumn;

  private AbstractWahlbeteiligungAuswertungColumn<WahlbeteiligungAuswertung> wahlbeteiligungAuswertungStatusColumn;

  private AbstractWahlbeteiligungAuswertungColumn<WahlbeteiligungAuswertung> wahlbeteiligungAuswertungBemerkungColumn;

  public WahlbeteiligungAuswertungColumnBuilder() {
    super();
  }

  @Override
  protected void initColumns() {
    wahlbeteiligungDatumColumn = AbstractWahlbeteiligungAuswertungColumn.createWahlbeteiligungAuswertungDatumColumn(getMessages());
    wahlbeteiligungAuswertungTypColumn = AbstractWahlbeteiligungAuswertungColumn.createWahlbeteiligungAuswertungTypColumn(getMessages());
    wahlbeteiligungAuswertungStatusColumn = AbstractWahlbeteiligungAuswertungColumn.createWahlbeteiligungAuswertungStatusColumn(getMessages());
    wahlbeteiligungAuswertungBemerkungColumn = AbstractWahlbeteiligungAuswertungColumn.createWahlbeteiligungAuswertungBemerkungColumn(getMessages());
  }

  @Override
  protected List<ColumnEntry< ? super WahlbeteiligungAuswertung>> getColumnEntriesSorted() {
    List<ColumnEntry< ? super WahlbeteiligungAuswertung>> result = new ArrayList<>();

    result.add(wahlbeteiligungDatumColumn);
    result.add(wahlbeteiligungAuswertungTypColumn);
    result.add(wahlbeteiligungAuswertungStatusColumn);
    result.add(wahlbeteiligungAuswertungBemerkungColumn);

    return result;
  }
}
